#Expression analysis

rn <- Global_RNAi_INANDOUT_SA
rn$Test<-ifelse(rn$dsRNA=="1GFP","Control", "Target")
lm1<-lm(log10(1+rn$Fold_change)~rn$Test*rn$Method*rn$Target*rn$domain)
plot(lm1)


variance = lm(abs(lm1$residuals) ~ lm1$fitted.values)$fitted.values^2
# calculating the weights
weights = 1 / variance
# weighted regression model
weighted_model = lm(log10(1+rn$Fold_change)~rn$Test*rn$Method*rn$Target*rn$domain, weights = weights)
plot(weighted_model)
library(car)
Anova(weighted_model)
library(emmeans)
emmeans(weighted_model, pairwise ~ Test|Method|Target|domain,side = ">")->em
em
summary(weighted_model)

> Anova(weighted_model)
#Anova Table (Type II tests)

#Response: log10(1 + rn$Fold_change)
#Sum Sq  Df F value    Pr(>F)    
#rn$Test                                15.96   1  8.8960  0.003024 ** 
#  rn$Method                              28.66   2  7.9865  0.000394 ***
#  rn$Target                              80.05   3 14.8707 3.208e-09 ***
#  rn$domain                               6.14   1  3.4190  0.065150 .  
#rn$Test:rn$Method                       8.48   2  2.3626  0.095420 .  
#rn$Test:rn$Target                      50.69   3  9.4167 4.908e-06 ***
#  rn$Method:rn$Target                    17.71   6  1.6450  0.133225    
#rn$Test:rn$domain                       0.98   1  0.5489  0.459182    
#rn$Method:rn$domain                     8.38   2  2.3361  0.097954 .  
#rn$Target:rn$domain                    59.57   3 11.0656 5.251e-07 ***
#  rn$Test:rn$Method:rn$Target            24.38   6  2.2640  0.036654 *  
#  rn$Test:rn$Method:rn$domain            10.83   2  3.0188  0.049916 *  
#  rn$Test:rn$Target:rn$domain             5.81   3  1.0792  0.357626    
#rn$Method:rn$Target:rn$domain          55.85   6  5.1874 3.646e-05 ***
#rn$Test:rn$Method:rn$Target:rn$domain  30.16   6  2.8011  0.011051 *  
#  Residuals                             757.24 422                 
---
#  Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
library(emmeans)
emmeans(weighted_model, pairwise ~ Test|Method|Target|domain,side = ">")->em

em
#$emmeans
#$emmeans
#Method = Nanoparticles, Target = COL, domain = In dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.5678 0.1127 422  0.38207      Inf
#Target  0.8329 0.1607 422  0.56794      Inf

#Method = Rehydration, Target = COL, domain = In dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3797 0.0828 422  0.24317      Inf
#Target  0.4425 0.0900 422  0.29421      Inf

#Method = Soaking, Target = COL, domain = In dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.4182 0.0856 422  0.27714      Inf
#Target  0.5493 0.1093 422  0.36906      Inf

#Method = Nanoparticles, Target = KYN, domain = In dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3438 0.0721 422  0.22502      Inf
#Target  0.1844 0.0432 422  0.11323      Inf

#Method = Rehydration, Target = KYN, domain = In dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.6465 0.1338 422  0.42591      Inf
#Target  0.3905 0.0805 422  0.25774      Inf

#Method = Soaking, Target = KYN, domain = In dsRNA:
# Test    emmean     SE  df lower.CL upper.CL
#Control 0.6494 0.1275 422  0.43930      Inf
#Target  0.9892 0.1891 422  0.67756      Inf

#Method = Nanoparticles, Target = VEN, domain = In dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3617 0.0753 422  0.23756      Inf
#Target  0.2633 0.0575 422  0.16857      Inf

#Method = Rehydration, Target = VEN, domain = In dsRNA:
# Test    emmean     SE  df lower.CL upper.CL
#Control 0.3326 0.0738 422  0.21091      Inf
#Target  0.2301 0.0515 422  0.14524      Inf

#Method = Soaking, Target = VEN, domain = In dsRNA:
# Test    emmean     SE  df lower.CL upper.CL
#Control 0.3560 0.0743 422  0.23354      Inf
#Target  0.2444 0.0540 422  0.15526      Inf

#Method = Nanoparticles, Target = YEL, domain = In dsRNA:
# Test    emmean     SE  df lower.CL upper.CL
#Control 0.3371 0.0708 422  0.22026      Inf
#Target  0.3333 0.0702 422  0.21762      Inf

#Method = Rehydration, Target = YEL, domain = In dsRNA:
# Test    emmean     SE  df lower.CL upper.CL
#Control 0.3404 0.0753 422  0.21621      Inf
#Target  0.2436 0.0539 422  0.15470      Inf

#Method = Soaking, Target = YEL, domain = In dsRNA:
# Test    emmean     SE  df lower.CL upper.CL
#Control 0.3284 0.0693 422  0.21419      Inf
#Target  0.5990 0.1247 422  0.39336      Inf

#Method = Nanoparticles, Target = COL, domain = Out dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3310 0.0698 422  0.21603      Inf
#Target  0.4922 0.0990 422  0.32906      Inf

#Method = Rehydration, Target = COL, domain = Out dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3626 0.0796 422  0.23147      Inf
#Target  0.4050 0.0832 422  0.26792      Inf

#Method = Soaking, Target = COL, domain = Out dsRNA:
# Test    emmean     SE  df lower.CL upper.CL
#Control 0.3425 0.0718 422  0.22406      Inf
#Target  0.5526 0.1099 422  0.37141      Inf

#Method = Nanoparticles, Target = KYN, domain = Out dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3756 0.0778 422  0.24732      Inf
#Target  0.1276 0.0329 422  0.07338      Inf

#Method = Rehydration, Target = KYN, domain = Out dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3601 0.0791 422  0.22976      Inf
#Target  0.0205 0.0135 422 -0.00173      Inf

#Method = Soaking, Target = KYN, domain = Out dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3259 0.0688 422  0.21241      Inf
#Target  0.2011 0.0462 422  0.12490      Inf

#Method = Nanoparticles, Target = VEN, domain = Out dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3183 0.0675 422  0.20714      Inf
#Target  0.9189 0.1763 422  0.62824      Inf

#Method = Rehydration, Target = VEN, domain = Out dsRNA:
# Test    emmean     SE  df lower.CL upper.CL
#Control 0.4206 0.0906 422  0.27116      Inf
#Target  0.2096 0.0478 422  0.13093      Inf

#Method = Soaking, Target = VEN, domain = Out dsRNA:
# Test    emmean     SE  df lower.CL upper.CL
#Control 0.8503 0.1639 422  0.58014      Inf
#Target  0.4032 0.0828 422  0.26661      Inf

#Method = Nanoparticles, Target = YEL, domain = Out dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3842 0.0794 422  0.25330      Inf
#Target  0.3425 0.0718 422  0.22410      Inf

#Method = Rehydration, Target = YEL, domain = Out dsRNA:
#  Test    emmean     SE  df lower.CL upper.CL
#Control 0.3942 0.0856 422  0.25308      Inf
#Target  0.6432 0.1263 422  0.43493      Inf

#Method = Soaking, Target = YEL, domain = Out dsRNA:
# Test    emmean     SE  df lower.CL upper.CL
#Control 0.3486 0.0729 422  0.22835      Inf
#Target  0.3471 0.0766 422  0.22084      Inf

#Results are given on the log10(mu + 0.736) (not the response) scale. 
#Confidence level used: 0.95 

#$contrasts
#Method = Nanoparticles, Target = COL, domain = In dsRNA:
# contrast         estimate     SE  df t.ratio p.value
#Control - Target -0.26508 0.1963 422  -1.350  0.9112

#Method = Rehydration, Target = COL, domain = In dsRNA:
# contrast         estimate     SE  df t.ratio p.value
#Control - Target -0.06280 0.1223 422  -0.514  0.6961

#Method = Soaking, Target = COL, domain = In dsRNA:
# contrast         estimate     SE  df t.ratio p.value
#Control - Target -0.13109 0.1388 422  -0.944  0.8272

#Method = Nanoparticles, Target = KYN, domain = In dsRNA:
# contrast         estimate     SE  df t.ratio p.value
# Control - Target  0.15943 0.0840 422   1.898  0.0292

#Method = Rehydration, Target = KYN, domain = In dsRNA:
#  contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.25599 0.1562 422   1.639  0.0510

#Method = Soaking, Target = KYN, domain = In dsRNA:
# contrast         estimate     SE  df t.ratio p.value
#Control - Target -0.33980 0.2280 422  -1.490  0.9315

#Method = Nanoparticles, Target = VEN, domain = In dsRNA:
# contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.09840 0.0948 422   1.038  0.1498

#Method = Rehydration, Target = VEN, domain = In dsRNA:
#  contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.10256 0.0900 422   1.140  0.1275

#Method = Soaking, Target = VEN, domain = In dsRNA:
  #  contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.11163 0.0919 422   1.215  0.1125

#Method = Nanoparticles, Target = YEL, domain = In dsRNA:
# contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.00377 0.0997 422   0.038  0.4849

#Method = Rehydration, Target = YEL, domain = In dsRNA:
# contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.09681 0.0926 422   1.045  0.1482

#Method = Soaking, Target = YEL, domain = In dsRNA:
#  contrast         estimate     SE  df t.ratio p.value
#Control - Target -0.27059 0.1427 422  -1.896  0.9707

#Method = Nanoparticles, Target = COL, domain = Out dsRNA:
#  contrast         estimate     SE  df t.ratio p.value
#Control - Target -0.16120 0.1211 422  -1.331  0.9081

#Method = Rehydration, Target = COL, domain = Out dsRNA:
# contrast         estimate     SE  df t.ratio p.value
#Control - Target -0.04237 0.1151 422  -0.368  0.6435

#Method = Soaking, Target = COL, domain = Out dsRNA:
# contrast         estimate     SE  df t.ratio p.value
#Control - Target -0.21014 0.1313 422  -1.600  0.9449

#Method = Nanoparticles, Target = KYN, domain = Out dsRNA:
  #  contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.24807 0.0845 422   2.936  0.0018

#Method = Rehydration, Target = KYN, domain = Out dsRNA:
#  contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.33970 0.0802 422   4.234  <.0001

#Method = Soaking, Target = KYN, domain = Out dsRNA:
# contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.12480 0.0829 422   1.506  0.0664

#Method = Nanoparticles, Target = VEN, domain = Out dsRNA:
#  contrast         estimate     SE  df t.ratio p.value
#Control - Target -0.60056 0.1888 422  -3.181  0.9992

#Method = Rehydration, Target = VEN, domain = Out dsRNA:
#  contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.21093 0.1025 422   2.059  0.0201

#Method = Soaking, Target = VEN, domain = Out dsRNA:
#  contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.44716 0.1836 422   2.435  0.0077

#Method = Nanoparticles, Target = YEL, domain = Out dsRNA:
 # contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.04164 0.1071 422   0.389  0.3488

#Method = Rehydration, Target = YEL, domain = Out dsRNA:
#  contrast         estimate     SE  df t.ratio p.value
#Control - Target -0.24902 0.1526 422  -1.632  0.9483

#Method = Soaking, Target = YEL, domain = Out dsRNA:
#  contrast         estimate     SE  df t.ratio p.value
#Control - Target  0.00146 0.1058 422   0.014  0.4945

#Results are given on the log10 (not the response) scale. 
#P values are right-tailed

#side effects analysis

reference <- ControlGene_mars2023_SA
reference$expression = 1/(reference$Delta_cq)

lmgene <- lm(log10(1+reference$Delta_cq)~reference$Target*reference$Method)
Anova(lmgene)
#Response: log10(1 + reference$Delta_cq)
#Sum Sq  Df F value    Pr(>F)    
#reference$Target                  9.6871   3 190.844 < 2.2e-16 ***
# reference$Method                  1.2989   2  38.385 3.729e-13 ***
#  reference$Target:reference$Method 1.1935   6  11.757 5.541e-10 ***
# Residuals                         1.7258 102 

qqPlot(lmgene)

emmeans(lmgene, pairwise ~ Target|Method)->emgene
emgene
#$contrasts
#Method = Nanoparticules:
#  contrast   estimate     SE  df t.ratio p.value
#COL - KYN -0.306266 0.0598 102  -5.124  <.0001
#COL - VEN -0.715999 0.0598 102 -11.980  <.0001
#COL - YEL -0.449371 0.0656 102  -6.855  <.0001
#KYN - VEN -0.409733 0.0582 102  -7.043  <.0001
#KYN - YEL -0.143105 0.0641 102  -2.232  0.1214
#VEN - YEL  0.266628 0.0641 102   4.159  0.0004

#Method = Rehydratation:
#  contrast   estimate     SE  df t.ratio p.value
#COL - KYN -0.906577 0.0598 102 -15.169  <.0001
#COL - VEN -0.949514 0.0598 102 -15.887  <.0001
#COL - YEL -0.949771 0.0598 102 -15.892  <.0001
#KYN - VEN -0.042936 0.0582 102  -0.738  0.8815
#KYN - YEL -0.043193 0.0582 102  -0.743  0.8796
#VEN - YEL -0.000257 0.0582 102  -0.004  1.0000

#Method = Soaking:
#  contrast   estimate     SE  df t.ratio p.value
#COL - KYN -0.462274 0.0598 102  -7.735  <.0001
#COL - VEN -0.628448 0.0582 102 -10.803  <.0001
#COL - YEL -0.518995 0.0582 102  -8.922  <.0001
#KYN - VEN -0.166175 0.0598 102  -2.780  0.0323
#KYN - YEL -0.056721 0.0598 102  -0.949  0.7784
#VEN - YEL  0.109454 0.0582 102   1.882  0.2424


#Correlation between factors and efficiency

cor.test(nano_corr$Efficacity, nano_corr$inverse, method = "spearman")
#data:  nano_corr$Efficacity and nano_corr$inverse
#S = 7356.1, p-value = 0.05162, rho = 0.3099355 

cor.test(rehyd_corr$Efficacity, rehyd_corr$inverse, method = "spearman")
#rehyd_corr$Efficacity and rehyd_corr$inverse
#S = 7893, p-value = 0.1058, rho = 0.259571 

cor.test(soak_corr$Efficacity, soak_corr$inverse, method = "spearman")
#S = 12100, p-value = 0.169,  rho -0.2247177 

cor.test(nano_corr$Efficacity, nano_corr$Copy, method = "spearman")
#S = 13566, p-value = 0.0888, rho rho -0.2725909 

cor.test(rehyd_corr$Efficacity, rehyd_corr$Copy, method = "spearman")
#S = 18822, p-value = 8.604e-09, rho -0.7657049 

cor.test(soak_corr$Efficacity, soak_corr$Copy, method = "spearman")
#S = 11306, p-value = 0.3808, rho -0.1443038

cor.test(nano_corr$Efficacity, nano_corr$Off_site, method = "spearman")
#S = 8624.8, p-value = 0.238, rho 0.1909157

cor.test(rehyd_corr$Efficacity, rehyd_corr$Off_site, method = "spearman")
#S = 9441.1, p-value = 0.4823, rho 0.1143453

cor.test(soak_corr$Efficacity, soak_corr$Off_site, method = "spearman")
#S = 12284, p-value = 0.1355,  rho -0.2433241

cor.test(nano_corr$Efficacity, nano_corr$Size, method = "spearman")
#S = 4795.6, p-value = 0.0002355 rho 0.5501356

cor.test(rehyd_corr$Efficacity, rehyd_corr$Size, method = "spearman")
#S = 6323.6, p-value = 0.00919  rho 0.4067904

cor.test(soak_corr$Efficacity, soak_corr$Size, method = "spearman")
#S = 5737, p-value = 0.007878,  rho 0.4193337 

cor.test(corrsoak$Efficacity, corrsoak$GC_content , method = "spearman")
#S = 13253, p-value = 0.03344, rho -0.3413619 

cor.test(corrrehyd$Efficacity, corrrehyd$GC_content, method = "spearman")
#S = 9834, p-value = 0.6346,  rho 0.07748388

cor.test(corrnanop$Efficacity, corrnanop$GC_content, method = "spearman")
#S = 14429, p-value = 0.0252, rho -0.3536002 
